%global pypi_name ansible-rulebook
%global module_name ansible_rulebook
%global commitId 5095c9338d8439f9bb31a336d46bf5d26d8b6886


Name:           %{pypi_name}
Version:        1.0.3
Release:        2%{?dist}
Summary:        Event driven automation for Ansible

License:        Apache-2.0
URL:            https://github.com/ansible/ansible-rulebook

Source0:        ansible-rulebook-5095c9338d8439f9bb31a336d46bf5d26d8b6886.tar.gz
patch0:         0001-Patch-requirements-for-ansible-rulebook-issue-609.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 42
BuildRequires:  python%{python3_pkgversion}-wheel

Requires:       ansible-runner
Requires:       python%{python3_pkgversion}-aiohttp
Requires:       python%{python3_pkgversion}-pyparsing >= 3.0
Requires:       python%{python3_pkgversion}-jsonschema
Requires:       python%{python3_pkgversion}-jinja2
Requires:       python%{python3_pkgversion}-redis
Requires:       python%{python3_pkgversion}-dpath >= 2.1.4
Requires:       python%{python3_pkgversion}-janus
Requires:       python%{python3_pkgversion}-watchdog
Requires:       python%{python3_pkgversion}-websockets
Requires:       python%{python3_pkgversion}-drools-jpy = 0.3.7
Requires:       tar

%description
A command line tool that allows you to recognize events that you care about and react accordingly by running a playbook or other actions.

%prep
set -ex
%autosetup -p1 -n %{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{module_name}.egg-info

%build
# Taken from pyproject-rpm-macros's 'pyproject_wheel'
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Taken from pyproject-rpm-macros's 'pyproject_install'
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info
%{_bindir}/%{pypi_name}

%changelog
* Tue Oct 31 2023 James Marshall <jamarsha@redhat.com> 1.0.3-2
- Update to 1.0.3
- Add python-watchdog requirement to fix issue #609

* Mon Jul 24 2023 Satoe Imaishi <simaishi@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Jun 13 2023 James Marshall <jamarsha@redhat.com> 1.0.0-1
- Initial release
